
set( artdaq_database_VERSION 1.04.02 )
set( artdaq_database_UPS_VERSION v1_04_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_boost( v1_57_0 )
    find_ups_product( artdaq_utilities v1_00_08 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( fhiclcpp v3_04_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_product( mongodb v3_2_7 )
    find_ups_product( swig v3 )
    find_ups_product( nodejs v4_5_0 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
      set( ARTDAQ-DATABASE_SHAREDCOMMON  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_SharedCommon.so )
      set( ARTDAQ-DATABASE_DATAFORMATS_JSON  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_DataFormats_Json.so )
      set( ARTDAQ-DATABASE_DATAFORMATS_FHICL  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_DataFormats_Fhicl.so )
      set( ARTDAQ-DATABASE_DATAFORMATS_XML  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_DataFormats_Xml.so )
      set( ARTDAQ-DATABASE_OVERLAY  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_Overlay.so )
      set( ARTDAQ-DATABASE_JSONDOCUMENT  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_JsonDocument.so )
      set( ARTDAQ-DATABASE_BASICTYPES  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_BasicTypes.so )
      set( ARTDAQ-DATABASE_DEMOTYPES  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_DemoTypes.so )
      set( ARTDAQ-DATABASE_STORAGEPROVIDERS  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_StorageProviders.so )
      set( ARTDAQ-DATABASE_STORAGEPROVIDERS_MONGODB  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_StorageProviders_MongoDB.so )
      set( ARTDAQ-DATABASE_STORAGEPROVIDERS_FILESYSTEMDB  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_StorageProviders_FileSystemDB.so )
      set( ARTDAQ-DATABASE_STORAGEPROVIDERS_UCONDB  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_StorageProviders_UconDB.so )
      set( ARTDAQ-DATABASE_CONFIGURATIONDB  $ENV{ARTDAQ_DATABASE_LIB}/libartdaq-database_ConfigurationDB.so )
      include_directories ( $ENV{ARTDAQ_DATABASE_INC} )

check_required_components(artdaq_database)

